import { request, getRequestParams } from '@/utils/request';

/**
 * @description 登录
 * @param {Object} data 登录对象 { user_type 用户类型 user_name 用户登录名 password 用户密码 }
 */
export function login(data) {
  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI + '?MethodName=login_control-Login',
    data
  });
}

/**
 * 用户更换语言类型
 * @param {Object} data { language_type 语言类型 }
 */
export function updateLanguageType(data) {
  let params = getRequestParams('login_control-UpdateLanguageType');

  return request({
    method: 'post',
    url: process.env.VUE_APP_LearnWebSI,
    params,
    data
  });
}

/**
 * 根据身份通行码得到用户登录信息
 * @param {Object} data { access_code 身份通行码 }
 */
export function GetLoginInfoByAccessCode(data) {
  return request({
    method: 'post',
    url: process.env.VUE_APP_FileServer + '?MethodName=login_control-GetLoginInfoByAccessCode',
    data
  });
}

export function GetUserListByIDList(data) {
  let params = getRequestParams('user_manager-GetUserListByIDList');

  return request({
    method: 'post',
    url: process.env.VUE_APP_FileServer,
    params,
    data
  });
}
