import Vue from 'vue';
import App from './App.vue';
import router from './router';
import store from './store';

import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';
import WmjhUI from 'wmjh-ui';
import 'wmjh-ui/dist/wmjh-ui.css';
import VueDND from 'awe-dnd';

import '@/icons';

import '@/styles/index.scss'; // global css
import 'normalize.css/normalize.css';

import i18n from '@/utils/i18n';
import '@/permission'; // 权限控制

Vue.use(ElementUI);
Vue.use(WmjhUI);
Vue.use(VueDND);

Vue.config.productionTip = false;

new Vue({
  i18n,
  router,
  store,
  render: h => h(App)
}).$mount('#app');
